import { Component } from '@angular/core';
import { TranslateService } from './translate';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {

  constructor(
    private _translate: TranslateService,
  ) { }

  selectLang(lang: string) {
    this._translate.use(lang);
  }

  ngOnInit() {
    this._translate.setDefaultLang('en'); // set English as default
    this._translate.enableFallback(true); // enable fallback

    let userLang: string;

    if (typeof navigator['languages'] !== 'undefined' && navigator['languages'].length > 0) {
      userLang = navigator['languages'][0].indexOf('-') !== -1 || navigator['languages'].length < 2 ? navigator['languages'][0] : navigator['languages'][1];
    } else {
      userLang = navigator['language'] || navigator['browserLanguage'];
    }

    userLang = userLang && userLang.length ? userLang.split('-')[0] : '';
    userLang = /(fr|en)/gi.test(userLang) ? userLang : 'en';

    this.selectLang(userLang);
  }

}
