import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HTTP_INTERCEPTORS, HttpClientModule } from '@angular/common/http';

import { TRANSLATION_PROVIDERS, TranslatePipe, TranslateService } from './translate';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { DevInterceptor } from './interceptors/dev-interceptor';

import { TestService } from './shared/test.service';
import { HomeComponent } from './home/home.component';

@NgModule({
  declarations: [
    TranslatePipe,
    AppComponent,
    HomeComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    AppRoutingModule
  ],
  providers: [
    TRANSLATION_PROVIDERS,
    TranslateService,
    TestService,
    { provide: HTTP_INTERCEPTORS, useClass: DevInterceptor, multi: true },
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
