import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable()
export class DevInterceptor implements HttpInterceptor {
    intercept(
        req: HttpRequest<any>,
        next: HttpHandler
    ): Observable<HttpEvent<any>> {

        if (!environment.production) {
            const duplicate = req.clone({ url: 'http://localhost:13518/' + req.url, withCredentials: true });
            return next.handle(duplicate);
        } else {
            return next.handle(req);
        }

    }
}
